this.name					= "PopuDracoscript";
this.author					= "Rorschachhamster";
this.copyright				= "Creative Commons Attribution - Non-Commercial - Share Alike 4.0 license";
this.description			= "Populator for Pirategroups with a Draco and several Dragonettes and wyrms";
this.version				= "1.0.4";
"use strict";

// Custom role for this.ship.spawned in ship script
this.role1 = "draco_pirate_mother"; 

this.shipWillExitWitchspace = function()
{
   var myRND = Math.random();
   
   if(system.isInterstellarSpace || myRND <= 0.90) 
      return;

   if(system.countShipsWithRole(this.role1) > 0) 
      return;

   if(system.population < 25 || system.government <= 2) 
      return;

   system.addShipsToRoute(this.role1, 1,  Math.random(), "wp");
};

this.shipWillLaunchFromStation = function()
{
   var myRND = Math.random();

   if(system.isInterstellarSpace || myRND <= 0.90)
      return;

   if(system.countShipsWithRole(this.role1) > 0)
      return;

   if(system.population < 25 || system.government <= 2)
      return;
   
   system.addShipsToRoute(this.role1, 1, Math.random(), "wp");
};
